libzypp: zypp::target::rpm::RpmRemoveReport Struct Reference

libzypp 17.38.6

zypp::target::rpm::RpmRemoveReport Struct Reference

`#include <zypp/target/rpm/RpmCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RpmRemoveReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const std::string &name)
| Start the operation.
virtual bool | progress (unsigned percent)
| Inform about progress Return true on abort.
virtual Action | problem (Exception &excpt_r)
virtual void | finishInfo (const std::string &info_r)
| Additional rpm output to be reported in finish in case of success.
virtual void | finish ()
| Finish operation in case of success.
virtual void | finish (Exception &excpt_r)
| Finish operation in case of fail, report fail exception.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 33 of file RpmCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RpmRemoveReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 36 of file RpmCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RpmRemoveReport::start | ( | const std::string & | name | ) |
| inlinevirtual

Start the operation.

Definition at line 43 of file RpmCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RpmRemoveReport::progress | ( | unsigned | percent | ) |
| inlinevirtual

Inform about progress Return true on abort.

Definition at line 49 of file RpmCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RpmRemoveReport::problem | ( | Exception & | excpt_r | ) |
| inlinevirtual

Definition at line 52 of file RpmCallbacks.h.

## ◆ finishInfo()

virtual void zypp::target::rpm::RpmRemoveReport::finishInfo | ( | const std::string & | info_r | ) |
| inlinevirtual

Additional rpm output to be reported in finish in case of success.

Definition at line 56 of file RpmCallbacks.h.

## ◆ finish() [1/2]

virtual void zypp::target::rpm::RpmRemoveReport::finish | ( |  | ) |
| inlinevirtual

Finish operation in case of success.

Definition at line 60 of file RpmCallbacks.h.

## ◆ finish() [2/2]

virtual void zypp::target::rpm::RpmRemoveReport::finish | ( | Exception & | excpt_r | ) |
| inlinevirtual

Finish operation in case of fail, report fail exception.

Definition at line 63 of file RpmCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/RpmCallbacks.h